from typing import Dict


class Response(object):

    def __init__(self):
        self.k_status = "status"
        self.k_error = "error"
        self.k_message = "message"
        self.k_data = "data"

    def output_response(self, error: bool = False,
                        status: int = 200,
                        message: str = None,
                        data=None) -> Dict:
        """
        Info: It return a json object with the required parames.
        :param error: bool, If True - No error occured else False - error occured
        :param status: int, It is status code
        :param message: message
        :param data: data
        :return:
        """
        return {
            self.k_status: status,
            self.k_error: error,
            self.k_message: message,
            self.k_data: data
        }
